- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDPolylineTo1 Class Reference
Inheritance diagram for libvisio::VSDPolylineTo1:

## Public Member Functions
| VSDPolylineTo1 (unsigned id, unsigned level, double x, double y, unsigned char xType, unsigned char yType, std::vector< std::pair< double, double > > points)
virtual | ~VSDPolylineTo1 ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x
double | m_y
unsigned | m_xType
unsigned | m_yType
std::vector< std::pair< double, double > > | m_points

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDPolylineTo1::VSDPolylineTo1 | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | std::vector< std::pair< double, double > > | points
| ) |  |
| inline

virtual libvisio::VSDPolylineTo1::~VSDPolylineTo1 | ( |  | ) |
| inline virtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDPolylineTo1::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

void libvisio::VSDPolylineTo1::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

std::vector<std::pair<double, double> > libvisio::VSDPolylineTo1::m_points

double libvisio::VSDPolylineTo1::m_x

unsigned libvisio::VSDPolylineTo1::m_xType

double libvisio::VSDPolylineTo1::m_y

unsigned libvisio::VSDPolylineTo1::m_yType

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp